class Docker

    def initialize

    end

    # @param [string] image_id
    # @param [string] tag
    # @return [string] The tag we just tagged the container with
    def tag(image_id, tag)
        command = "docker tag #{image_id} #{tag}"
        puts command
        system command
        tag
    end

    # @param [string] tag
    # @return [string] The tag we just pushed up
    def push(tag)
        command = "docker push #{tag}"
        puts command
        system command
        tag
    end

    # @param [string] docker_file_path
    # @return [string] The ID of the image that was built in Docker
    def build_data_container(docker_file_path)
        command = "docker build #{docker_file_path}"
        output = `#{command}`

        puts output

        output_match = /(Successfully built )(.*)/.match(output)

        fail 'Docker failed to build the container!' unless output_match

        puts "Built Data Container Image: #{output_match[2]}"

        output_match[2]
    end

end