class Symfony

    def initialize
        @doctrine = Doctrine.new
    end

    # @return [Doctrine]
    def doctrine
        @doctrine
    end

    # @param [string] data_container_name
    def purge_cache(data_container_name)
        puts `docker run --rm --volumes-from #{data_container_name} vjftw/data /bin/bash -l -c "mkdir -p app/cache"`
        puts `docker run --rm --volumes-from #{data_container_name} vjftw/data /bin/bash -l -c "rm -rf app/cache/*"`
        puts `docker run --rm --volumes-from #{data_container_name} vjftw/data /bin/bash -l -c "chmod -R 777 app/cache"`
    end

    # @param [string] data_container_name
    # @param [string] command
    def run_console_command(data_container_name, command)
        docker_command = "docker run --rm --volumes-from #{data_container_name} vjftw/php-cli app/console --ansi #{command}"

        puts docker_command

        `#{docker_command}`
    end
end

require 'build/symfony/doctrine'
